org.eclipse.jetty.client.security

## Interface Authentication

- All Known Implementing Classes:
    BasicAuthentication, DigestAuthentication, ProxyAuthorization

      public interface Authentication

  Simple authentication interface that sets required fields on the exchange.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCredentials(HttpExchange exchange)`

- - ### Method Detail

    - #### setCredentials

          void setCredentials(HttpExchange exchange)
                              throws IOException

      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.